/* Base Styles */
* {
    font-family: "Poppins", system-ui;
}

.hero1 h1 {
    margin-top: 1.5rem;
    margin-bottom: 1.5rem;
    font-size: 3rem;
    font-weight: 600;
    color: #000;

}

.hero1 h2 {
    margin-top: 1.5rem;
    font-size: 2.5rem;
    font-weight: 600;
}

.hero1 h1 span {
    color: #FC380E;
}


.hero1 h3 {
    font-size: 2rem;
    color: #000;
}

.hero-headline {
    max-width: 1220px;
    margin: 0 auto;
}

.team-container-title {
    text-align: center;
    margin-top: 1.5rem;
    margin-bottom: 1.5rem;
    font-size: 3rem;
    font-weight: 700;
    color: #FC380E;
}

.team-container {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    gap: 20px;
    padding: 0 2rem;
}

.team-container .team-card {
    background: #fbfbfb;
    box-shadow: 0.6em 0.6em 1.2em #d2dce9, -0.5em -0.5em 1em #ffffff;
    border-radius: 20px;
    padding: 40px 20px;
    text-align: center;
    transition: transform 0.3s ease;
}

.team-container .team-card:hover {
    transform: translateY(-10px);
}

.team-container .team-content {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
}

.team-container .imgBx {
    width: 150px;
    height: 150px;
    border-radius: 50%;
    position: relative;
    margin-bottom: 20px;
    overflow: hidden;
}

.team-container .imgBx img {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.team-container .contentBx h4 {
    color: #FF6F10;
    font-size: 1.5rem;
    font-weight: bold;
    text-align: center;
    letter-spacing: 1px;
    text-wrap: wrap;
}

.team-container .contentBx h5 {
    color: #000;
    font-size: 1rem;
    text-wrap: wrap;
    font-weight: bold;
    text-align: center;
}

.team-container .sci {
    margin-top: 20px;
}

.team-container .sci a {
    text-decoration: none;
    color: #6c758f;
    font-size: 20px;
    margin: 10px;
    transition: color 0.4s;
}

.team-container .sci a:hover {
    color: #0196e3;
}

/* Responsive Styles */
@media (max-width: 1200px) {
    .team-container {
        grid-template-columns: repeat(3, 1fr);
    }

    .team-container-title {
        font-size: 2.5rem;
    }

    .team-container .imgBx {
        width: 150px;
        height: 150px;
    }

    .team-container .contentBx h4 {
        font-size: 1.3rem;
    }

    .team-container .contentBx h5 {
        font-size: 1rem;
    }

    .team-container .sci a {
        font-size: 18px;
    }
}

@media (max-width: 1024px) {
    .team-container {
        grid-template-columns: repeat(2, 1fr);
    }

    .team-container .imgBx {
        width: 150px;
        height: 150px;
    }

    .team-container .contentBx h4 {
        font-size: 1.5rem;
    }

    .team-container .contentBx h5 {
        font-size: 1rem;
    }

    .team-container .sci a {
        font-size: 16px;
    }
}

@media (max-width: 768px) {
    .hero1 h1 {
        margin-top: 1rem;
        margin-bottom: 1rem;
    }

    .hero1 h2 {
        margin-top: 1rem;
    }

    .card {
        transform: translate(0%);
    }

    .team-container-title {
        font-size: 2rem;
    }

    .icon {
        display: none;
    }

    /* 1 card per row on mobile landscape */
    .team-container {
        grid-template-columns: repeat(1, 1fr);
    }

    .team-container .imgBx {
        width: 150px;
        height: 150px;
        margin-top: 10px;
    }

    .team-container .contentBx h4 {
        font-size: 1.4rem;
    }

    .team-container .contentBx h5 {
        font-size: 1rem;
    }

    .team-container .sci a {
        font-size: 14px;
    }

    .container {
        padding: 1rem;
    }

    .card {
        padding: 1.5rem;
        max-width: 100%;
        border-radius: 2rem;
    }

    .target-icon img {
        transform: translateX(-157%);
    }

    .eye-icon img {
        transform: translateX(200%);
    }

    .icon {
        position: static;
        margin: 1rem auto 0 auto;
    }

    h2 {
        font-size: 1.8rem;
    }

    p {
        font-size: 0.85rem;
    }

    .icon img {
        width: 25%;
    }
}

@media (max-width: 480px) {

    /* 1 card per row on mobile portrait */
    .team-container {
        grid-template-columns: repeat(1, 1fr);
    }

    .team-container-title {
        font-size: 1.5rem;
    }

    .team-container .team-card {
        padding: 4px 5px;
    }

    .team-container .imgBx {
        width: 140px;
        height: 140px;
        margin-top: 10px;
    }

    .team-container .contentBx h4 {
        font-size: 1.2rem;
    }

    .team-container .contentBx h5 {
        font-size: 1rem;
    }

    .team-container .sci a {
        font-size: 12px;
    }

    .container {
        padding: 1rem;
    }

    .card {
        padding: 1.5rem;
        max-width: 100%;
        border-radius: 2rem;
    }

    .target-icon img {
        transform: translateX(-157%);
    }

    .eye-icon img {
        transform: translateX(200%);
    }

    .icon {
        position: static;
        margin: 1rem auto 0 auto;
    }

    h2 {
        font-size: 1.8rem;
    }

    p {
        font-size: 0.85rem;
    }

    .icon img {
        width: 25%;
    }
}

@media (max-width: 1024px) {
    .hero1 h1 {
        font-size: 2.5rem;
    }

    .hero1 h2 {
        font-size: 2rem;
    }

    .hero1 h3 {
        font-size: 1.5rem;
    }
}

/* Responsive styles for mobile landscape */
@media (max-width: 768px) {
    .hero1 h1 {
        font-size: 2rem;
    }

    .hero1 h2 {
        font-size: 1.75rem;
    }

    .hero1 h3 {
        font-size: 1.25rem;
        line-height: 1.2rem;
    }
}

/* Responsive styles for mobile portrait */
@media (max-width: 480px) {
    .hero1 h1 {
        font-size: 1.5rem;
    }

    .hero1 h2 {
        font-size: 1.25rem;
    }

    .hero1 h3 {
        font-size: 1rem;
        line-height: 1.4rem;
    }
}